using AngularControllerAs.Models;

namespace AngularControllerAs.Migrations
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Migrations;
    using System.Linq;

    public sealed class Configuration : DbMigrationsConfiguration<AngularControllerAs.Models.Context>
    {
        public Configuration()
        {
            AutomaticMigrationsEnabled = true;
        }

        protected override void Seed(AngularControllerAs.Models.Context context)
        {

            context.Persons.AddOrUpdate(
              p => new { p.LastName, p.FirstName },
                new Person { FirstName = "John", LastName = "Doe" },
                new Person { FirstName = "James", LastName = "Smith" },
                new Person { FirstName = "Stephen", LastName = "Johnson" }
            );

        }
    }
}
