﻿module App.Contacts {

    angular.module("contacts", [])
        .service("contactsService",
        [
            "$http", "globalConstants", App.Contacts.Services.ContactsService
        ])
        .controller("contactsController",
        [
            "contactsService", "$state", App.Contacts.Controllers.ContactsListController
        ])
        .controller("contactsEditController",
        [
            "contactsService", "$stateParams", App.Contacts.Controllers.ContactsEditController
        ]);
} 