﻿module App.Contacts.Services {
    import IPerson = App.Contacts.Models.IPerson;

    export class ContactsService {

        getPeople(callback: (model: IPerson[]) => void): void {
            this.$http.get<IPerson[]>(this.globals.appUrl + "api/people")
                .success((result) => { callback(result); })
                .error(()=> { alert("Error"); });
        }

        getPerson(id:any, callback: (model: IPerson) => void): void {
            this.$http.get<IPerson>(this.globals.appUrl + "api/people/" + id)
                .success((result) => { callback(result); })
                .error(() => { alert("Error"); });
        }

        constructor(private $http: ng.IHttpService, private globals: App.IGlobals) {

        }
    }
} 