﻿using System;
using System.Collections.Generic;
using System.Data.Entity.ModelConfiguration;
using System.Linq;
using System.Web;

namespace AngularControllerAs.Models
{
    public class PersonMap : EntityTypeConfiguration<Person>
    {
        public PersonMap()
        {
            HasKey(p => p.PersonId);
            Property(p => p.FirstName)
                .IsRequired()
                .HasMaxLength(50);
            Property(p => p.LastName)
                .IsRequired()
                .HasMaxLength(50);
        }
    }
}