var App;
(function (App) {
    var Configurator = (function () {
        function Configurator($stateProvider, globalConstants) {
            this.$stateProvider = $stateProvider;
            this.globalConstants = globalConstants;
            $stateProvider.state("home", {
                url: "",
                templateUrl: globalConstants.appUrl + "home/home"
            }).state("persons", {
                url: "/persons",
                templateUrl: globalConstants.appUrl + "contacts/list",
                controller: "contactsController",
                controllerAs: "vm"
            }).state("person", {
                url: "/person/:id",
                templateUrl: globalConstants.appUrl + "contacts/edit",
                controller: "contactsEditController",
                controllerAs: "vm"
            });
        }
        return Configurator;
    })();
    angular.module("app", [
        "ui.router",
        "globals",
        "contacts"
    ]).config(["$stateProvider", "globalConstants", Configurator]);
})(App || (App = {}));
//# sourceMappingURL=app.js.map