var App;
(function (App) {
    var Contacts;
    (function (Contacts) {
        var Controllers;
        (function (Controllers) {
            var ContactsListController = (function () {
                function ContactsListController(contactsService, $state) {
                    var _this = this;
                    this.contactsService = contactsService;
                    this.$state = $state;
                    contactsService.getPeople(function (result) {
                        _this.model = result;
                    });
                }
                ContactsListController.prototype.viewPerson = function (person) {
                    this.$state.go("person", { id: person.PersonId });
                };
                return ContactsListController;
            })();
            Controllers.ContactsListController = ContactsListController;
        })(Controllers = Contacts.Controllers || (Contacts.Controllers = {}));
    })(Contacts = App.Contacts || (App.Contacts = {}));
})(App || (App = {}));
//# sourceMappingURL=ContactsController.js.map