﻿module App.Contacts.Controllers {
    import IPerson = App.Contacts.Models.IPerson;

    export class ContactsListController {
        model: IPerson[];
        viewPerson(person: IPerson): void {
            this.$state.go("person", { id: person.PersonId });
        }
        constructor(
            private contactsService: App.Contacts.Services.ContactsService,
            private $state: ng.ui.IStateService) {

            contactsService.getPeople((result) => { this.model = result; });
        }

    }

} 