var App;
(function (App) {
    var Contacts;
    (function (Contacts) {
        var Services;
        (function (Services) {
            var ContactsService = (function () {
                function ContactsService($http, globals) {
                    this.$http = $http;
                    this.globals = globals;
                }
                ContactsService.prototype.getPeople = function (callback) {
                    this.$http.get(this.globals.appUrl + "api/people").success(function (result) {
                        callback(result);
                    }).error(function () {
                        alert("Error");
                    });
                };
                ContactsService.prototype.getPerson = function (id, callback) {
                    this.$http.get(this.globals.appUrl + "api/people/" + id).success(function (result) {
                        callback(result);
                    }).error(function () {
                        alert("Error");
                    });
                };
                return ContactsService;
            })();
            Services.ContactsService = ContactsService;
        })(Services = Contacts.Services || (Contacts.Services = {}));
    })(Contacts = App.Contacts || (App.Contacts = {}));
})(App || (App = {}));
//# sourceMappingURL=ContactsService.js.map